Subject: Linux-Activists - DOC Channel digest. 93-6-31-0:18
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Sat, 31 Jul 1993 06:39:49 +0300

Topics:
	 Forwarded message from Ted Ts'o

----------------------------------------------------------------------

From: <[email-masked]>
Subject: Forwarded message from Ted Ts'o
Date: Sat, 31 Jul 1993 02:26:46 +0300

Ted sent this to me, and as it amused me, I thought I would pass it on
to everyone else...  :-)

michaelkjohnson

------- Forwarded Message
Date: Fri, 30 Jul 93 00:21:52 EDT
From: [email-masked] (Theodore Ts'o)
To: [email-masked]
Subject: Something funny which was forwarded to me....

I don't know if you've seen this yet, but I thought it was something
that the LDP people might enjoy.  :-)

						- Ted

- ------- Forwarded Message

From: [email-masked]
To: [email-masked]
Date: Tue, 13 Jul 93 12:58:28 EDT
.....
From: [email-masked] (Connie Kleinjans)
.....
From: [email-masked] (C J Silverio)
Newsgroups: talk.bizarre

During one particularly vitriolic flame war about
the uselessness of documentation, I wrote the following
proposal.  I never posted it, because I am a coward.
I finally post it here, for your edification.

Subject:  UNIX ohne Worter

Well!  I've been completely convinced by the arguments
presented here on the uselessness of documentation.  In 
fact, I've become convinced that documentation is a drug,
and that my dependence on it is artificial.  I can overcome
my addiction, with professional help.  

And what's more, I feel morally obliged to cease peddling
this useless drug for a living.  I've decided to go back to 
math grad school to reeducate myself, and get out of this 
parasitic profession.

Perhaps it just reveals the depth of my addiction to documentation, 
but I do see the need for SGI to ship *one* document with [our 
next release].  I see this book as transitional only.  We can 
eliminate it for [the following release].

Here's my proposal:

TITLE:     "UNIX without Words"

AUDIENCE:  The UNIX novice.

OVERVIEW:  Gives a general strategy for approaching UNIX
           without documentation.  Presents generalizable
           principles useful for deciphering any operating
           system without the crutch of documentation.
           
CONTENTS:  

INTRO:     overview of the 'no doc' philosophy
           why manuals are evil
           why man pages are evil
           why you should read this book despite the above
           "this is the last manual you'll EVER read!"

CHAP 1:    guessing which commands are likely to exist 

CHAP 2:    guessing what they're likely to be called
               unpredictable acronyms the UNIX way 
                   usage scenario: "grep"

CHAP 3:    guessing what options they might take 
               deciphering cryptic usage messages
                   usage scenario: "tar"
               guessing when order is important
                   usage scenario: SYSV "find"

CHAP 4:    figuring out when it worked: silence on success
           recovering from errors

CHAP 5:    the oral tradition: your friend 

CHAP 6:    obtaining & maintaining a personal UNIX guru 
           feeding your guru
           keeping your guru happy
              the importance of full news feeds
              why your guru needs the fastest/whizziest machine available
              free Coke: the elixir of your guru's life
           maintaining your guru's health
              when DO they sleep?

CHAP 7:    troubleshooting: when your guru won't speak to you 
           identifying stupid questions
           safely asking stupid questions

CHAP 8:    accepting your stress
           coping with failure

Now that I think about it, maybe only chapters 6 & 7 are
really necessary.  Yeah, that's the ticket: we'll call it  
"The UNIX Guru Maintenance Manual."

- ------- End of Forwarded Message
------- End of Forwarded Message

------------------------------

End of DOC Digest
*****************
-------